Subject: Re: bug#43696: Hyperbole recursive directory grep, not giving expected result

From: Jean Louis <[email-masked]>
Date: Wed, 30 Sep 2020 12:18:29 +0300

* Robert Weiner <[email-masked]> [2020-09-30 07:25]:
> On Tue, Sep 29, 2020 at 3:08 AM Jean Louis <[email-masked]> wrote:
> 
> > I was trying out this paragraph from DEMO file:
> >
> > > The output of `grep -n', the UNIX line pattern matcher, can be activated
> > as
> > > buttons that jump to each matched line within its source file; use {M-x
> > grep
> > > RET} or even better, the Hyperbole recursive directory grep, {C-h h f g}.
> >
> 
> {C-h h f g} works fine here.
> 
> >
> > It does not do what is expected, for example if I write "facebook" in
> > elpa/hyperbole directory, it will not give me any results, if I do
> > classic grep, it gives me result
> >
> 
> Are you saying you are in a buffer whose default-directory is the
> elpa/hyperbole directory and your grep returns no results?  If so, I don't
> see that problem with 7.1.3.

I am using 7.1.3 now, and it does not work:

-*- mode: grep; default-directory: "~/Programming/emacs-lisp/" -*-
Grep started at Wed Sep 30 12:12:18

grep -insIH --exclude="*~" --exclude="#*" --exclude="TAGS" -e 'rcd' .

Grep finished with no matches found at Wed Sep 30 12:12:18

while in that directory I have many many results for "rcd".

So it definitely does not work.

grep -insIH --exclude="*~" --exclude="#*" --exclude="TAGS" -e 'business' .

I don't think so it will ever work recursively, the option -r is
missing or -d recurse as in manual of grep.

And you are using . as FILE argument, but with -r option, you need no
argument at all in the directory.

Jean